﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.Runtime.Serialization;

namespace ICSharpCode.AvalonEdit.Editing
{
	// Wraps exceptions that occur during drag'n'drop.
	// Exceptions during drag'n'drop might
	// get swallowed by WPF/COM, so AvalonEdit catches them and re-throws them later wrapped in a DragDropException.
	[Serializable()]
	public class DragDropException : Exception
	{
		// Creates a new DragDropException.
		public DragDropException(): base()
		{
		}

		// Creates a new DragDropException.
		public DragDropException(string message): base(message)
		{
		}

		// Creates a new DragDropException.
		public DragDropException(string message, Exception innerException): base(message, innerException)
		{
		}

		// Deserializes a DragDropException.
		protected DragDropException(SerializationInfo info, StreamingContext context)	: base(info, context)
		{
		}
	}
}
