﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.Runtime.Serialization;

namespace ICSharpCode.AvalonEdit.Highlighting
{
	// Indicates that the highlighting definition that was tried to load was invalid.
	[Serializable()]
	public class HighlightingDefinitionInvalidException : Exception
	{
		// Creates a new HighlightingDefinitionInvalidException instance.
		public HighlightingDefinitionInvalidException()	: base()
		{
		}

		// Creates a new HighlightingDefinitionInvalidException instance.
		public HighlightingDefinitionInvalidException(string message)	: base(message)
		{
		}

		// Creates a new HighlightingDefinitionInvalidException instance.
		public HighlightingDefinitionInvalidException(string message, Exception innerException)	: base(message, innerException)
		{
		}

		// Creates a new HighlightingDefinitionInvalidException instance.
		protected HighlightingDefinitionInvalidException(SerializationInfo info, StreamingContext context)	: base(info, context)
		{
		}
	}
}
