﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.Text.RegularExpressions;

namespace ICSharpCode.AvalonEdit.Highlighting
{
	// A highlighting rule.
	[Serializable]
	public class HighlightingRule
	{
		// Gets/Sets the regular expression for the rule.
		public Regex Regex { get; set; }

		// Gets/Sets the highlighting color.
		public HighlightingColor Color { get; set; }

		public override string ToString()
		{
			return "[" + GetType().Name + " " + Regex + "]";
		}
	}
}
