﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.Collections.Generic;
using ICSharpCode.AvalonEdit.Utils;

namespace ICSharpCode.AvalonEdit.Highlighting
{
	// A highlighting rule set describes a set of spans that are valid at a given code location.
	[Serializable]
	public class HighlightingRuleSet
	{
		// Creates a new RuleSet instance.
		public HighlightingRuleSet()
		{
			this.Spans = new NullSafeCollection<HighlightingSpan>();
			this.Rules = new NullSafeCollection<HighlightingRule>();
		}

		// Gets/Sets the name of the rule set.
		public string Name { get; set; }

		// Gets the list of spans.
		public IList<HighlightingSpan> Spans { get; private set; }

		// Gets the list of rules.
		public IList<HighlightingRule> Rules { get; private set; }

		public override string ToString()
		{
			return "[" + GetType().Name + " " + Name + "]";
		}
	}
}
