﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace ICSharpCode.AvalonEdit.Highlighting
{
	// A highlighting definition.
	[TypeConverter(typeof(HighlightingDefinitionTypeConverter))]
	public interface IHighlightingDefinition
	{
		// Gets the name of the highlighting definition.
		string Name { get; }

		// Gets the main rule set.
		HighlightingRuleSet MainRuleSet { get; }

		// Gets a rule set by name.
		// returns : The rule set, or null if it is not found.
		HighlightingRuleSet GetNamedRuleSet(string name);

		// Gets a named highlighting color.
		// returns : The highlighting color, or null if it is not found.
		HighlightingColor GetNamedColor(string name);

		// Gets the list of named highlighting colors.
		IEnumerable<HighlightingColor> NamedHighlightingColors { get; }
	}
}
