﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using ICSharpCode.AvalonEdit.Document;
using System;

namespace ICSharpCode.AvalonEdit.Indentation
{
	// Strategy how the text editor handles indentation when new lines are inserted.
	public interface IIndentationStrategy
	{
		// Sets the indentation for the specified line.
		// Usually this is constructed from the indentation of the previous line.
		void IndentLine(TextDocument document, DocumentLine line);

		// Reindents a set of lines.
		void IndentLines(TextDocument document, int beginLine, int endLine);
	}
}
