﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;

namespace ICSharpCode.AvalonEdit.Rendering
{
	// Allows "VisualLineElementGenerator"s, "IVisualLineTransformer"s and
	// "IBackgroundRenderer"s to be notified when they are added or removed from a text view.
	public interface ITextViewConnect
	{
		// Called when added to a text view.
		void AddToTextView(TextView textView);
		
		// Called when removed from a text view.
		void RemoveFromTextView(TextView textView);
	}
}
