﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;

namespace ICSharpCode.AvalonEdit.Rendering
{
	// An enum that specifies the possible Y positions that can be returned by VisualLine.GetVisualPosition.
	public enum VisualYPosition
	{
		// Returns the top of the TextLine.
		LineTop,
		// Returns the top of the text.
		// If the line contains inline UI elements larger than the text, TextTop may be below LineTop.
		// For a line containing regular text (all in the editor's main font), this will be equal to LineTop.
		TextTop,
		// Returns the bottom of the TextLine.
		LineBottom,
		// The middle between LineTop and LineBottom.
		LineMiddle,
		// Returns the bottom of the text. 
		// If the line contains inline UI elements larger than the text, TextBottom might be above LineBottom.
		// For a line containing regular text (all in the editor's main font), this will be equal to LineBottom.
		TextBottom,
		// The middle between TextTop and TextBottom.
		TextMiddle,
		// Returns the baseline of the text.
		Baseline
	}
}
