﻿// Copyright (c) AlphaSierraPapa for the SharpDevelop Team (for details please see \doc\copyright.txt)
// This code is distributed under the GNU LGPL (for details please see \doc\license.txt)

using System;
using System.ComponentModel;
using ICSharpCode.AvalonEdit.Document;
using ICSharpCode.AvalonEdit.Editing;
using ICSharpCode.AvalonEdit.Rendering;

namespace ICSharpCode.AvalonEdit
{
	// Represents a text editor control "TextEditor", "TextArea" or "TextView".
	public interface ITextEditorComponent : IServiceProvider
	{
		// Gets the document being edited.
		TextDocument Document { get; }

		// Occurs when the Document property changes (when the text editor is connected to another
		// document - not when the document content changes).
		event EventHandler DocumentChanged;

		// Gets the options of the text editor.
		TextEditorOptions Options { get; }

		// Occurs when the Options property changes, or when an option inside the current option list changes.
		event PropertyChangedEventHandler OptionChanged;
	}
}
